WMS Identify fails to provide a useful error message on failure

2006-03-24 01:11 PM - Brendan Morley -

Status: Closed

Priority: Low

Assignee: Brendan Morley -

Category: Web Services clients/WMS

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13934

Description

If the Identify tool is used on a WMS layer but the request fails, the returned error message shows nothing useful.

It's probably a simple problem with the error messages not being passed back properly from [[QgsHttpConnection]] and

[[QgsWmsProvider]].

History

#1 - 2006-03-26 12:03 AM - Brendan Morley -

- Status changed from Open to In Progress

#2 - 2006-07-03 07:14 AM - neteler-itc-it -

Hi,

the same happens here, when using a proxy:

"Could not understand the response.  The wms provider said:

" 

(nothing).

SVN checkout date 3 July 2006, full compilation, Proxy used, RHEL4 Linux

Greetings,

Markus

#3 - 2006-07-19 06:39 PM - Brendan Morley -

- Resolution set to fixed

- Status changed from In Progress to Closed

I saw a useful error message come back in the HEAD build yesterday, which prompted my lodging of enhancement request #196.

Therefore I must have lodged a fix to this without noticing (!).  Closing accordingly.

#4 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
